Summary:  Library providing simple cloud computing API
Name:     mycloud
Version:  0.1
Release:  1%{?extra_release}%{?dist}

Group:    Applications/Internet
License:  LGPLv2+
URL:      http://github.com/movitto/mycloud
Requires: libdeltacloud
Requires: imagefactory
Requires: imagefactory
Requires: iwhd
BuildRequires: libdeltacloud-devel
BuildRequires: imagefactory
BuildRequires: iwhd

# to build source tarball
# git clone git://github.com/movitto/mycloud.git
# cd mycloud
# make package
# cp pkg/mycloud-0.0.1.tar.gz ~/rpmbuild/SOURCES
Source0:  %{name}-%{version}.tar.gz

%description
Library providing simple high level cloud computing API

%package devel
Summary: Development files for mycloud
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Include and documentation for C library providng API to
use the mycloud capabilities

%prep
%setup -q

%build
autoreconf
%configure --libdir=/%{_libdir}
make %{?_smp_mflags}

%check
mack check || true

%install
make DESTDIR="${RPM_BUILD_ROOT}" install 

# copy config into place
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mv conf/mycloud.yml $RPM_BUILD_ROOT%{_sysconfdir}

# remove these
rm -f $RPM_BUILD_ROOT/%{_libdir}/libmycloud.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/libmycloud.a

%files
%doc COPYING README
%attr(0755, root, root) %{_bindir}/mycloud
%config(noreplace) %{_sysconfdir}/mycloud.yml
%{_libdir}/libmycloud.so*

%files devel
%{_includedir}/mycloud/*.h

%changelog
* Fri Jan 13 2012 Mo Morsi <mmorsi@redhat.com> 0.0.1-1
- Initial version
